<?php
/*
* @version $Id: helper.php $
* @version      1.2.0 30/05/2014
* @package		mod_kunena_topic_user
* @author       Bernard Saulm
* @copyright    Copyright (C) 2014 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Pas d'acces direct
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

class modKunenatopicUserHelper {

	// Retrieve attachmment
	public static function getListTopicUser($topic = 0, $triemode = 0, $affmax = 0) {

		$db	= JFactory::getDBO();
		$query = "SELECT kr.user_id, kr.topic_id, ju.name, ju.username FROM `#__kunena_user_read` kr, `#__users` ju WHERE kr.user_id = ju.id AND kr.topic_id = ".$db->Quote($topic);

		if ($triemode == 0)
			$query .= " ORDER BY kr.time ASC";
		else if ($triemode == 1)
			$query .= " ORDER BY kr.time DESC";
		else if ($triemode == 2)
			$query .= " ORDER BY ju.username ASC";
		else if ($triemode == 3)
			$query .= " ORDER BY ju.username DESC";
			
		if ($affmax != 0)
			$query .= " LIMIT $affmax";
			
		$db->setQuery($query);
		$result = $db->loadObjectList();

		if ($db->getErrorNum()) {
			JError::raiseWarning(500, $db->stderr());
		}
		
		return $result;
	}

}

?>
