<?php
/*
* @version $Id: mod_kunena_kunena_topic_user.php $
* @version      1.2.0 30/05/2014
* @package		mod_kunena_topic_user
* @author       Bernard Saulmé
* @copyright    Copyright (C) 2014 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Pas d'acces direct
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

if (@file_exists(JPATH_ROOT.DS.'components'.DS.'com_kunena'.DS.'kunena.php') && KunenaForum::enabled()) {

	// Include once mod_kunena_topic_user functions
	require_once (dirname(__FILE__).DS.'helper.php');

	// Parameter reading
	$triemode = $params->get('triemode', 1);
	$affmax = $params->get('affmax', 20);
	$mode_url = $params->get('mode_url', 1);
	$username_display = $params->get('username_display', 0);

	// Display url or not
	$user = JFactory::getuser();
	if ($mode_url == 1 && !isset($user->username)) // Url only for registered users
		$mode_url = 0;

	$option = JRequest::getCmd('option', '');
	$view = JRequest::getCmd('view', '');
	$topic_id = JRequest::getInt('id', 0);

	$names = array();

	// Are we on Kunena topic view
	if ($option != 'com_kunena' || $view != 'topic' || $topic_id == 0)
		return;
	
	$names = modKunenatopicUserHelper::getListTopicUser($topic_id, $triemode, $affmax);

	require(JModuleHelper::getLayoutPath('mod_kunena_topic_user'));
}

?>
